Subject: Re: [PATCH net-next 1/2] net: dsa: mv88e6xxx: Add LED infrastructure

From: Tobias Waldekranz <[email-masked]>
Date: Wed, 03 Jan 2024 15:27:24 +0100

On ons, jan 03, 2024 at 15:09, Andrew Lunn <[email-masked]> wrote:
> On Wed, Jan 03, 2024 at 11:33:50AM +0100, Tobias Waldekranz wrote:
>> Parse LEDs from DT and register them with the kernel, for chips that
>> support it. No actual implementations exist yet, they will be added in
>> upcoming commits.
>
> Hi Tobias
>
> There are three of us now working on this. Linus, you and me. We all
> have different implementations.

Oh, sorry about that. I should have done the proper research before
posting :)

> What i don't like about this is that is has code which is going to be
> repeated in all DSA drivers, and even in all MAC drivers. I've already
> posted one patch series which added generic DSA support for LEDs, and
> some basic mv88e6xxx code. It got NACKed by Vladimir. So i'm slowly
> working on making it more generic, so it can be used by any MAC
> driver.
>
> I will try to post it in the next couple of days.

Interesting! I'll keep an eye out for it.